Bug 432516 - No working way to disable background for gnome-settings-daemon
No working way to disable background for gnome-settings-daemon
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
rawhide
All All
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
: EasyFix, Patch, Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-12 10:42 EST by Thomas Woerner
Modified: 2008-03-26 20:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 20:32:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Honour /desktop/gnome/background/draw_background patch (876 bytes, patch)
2008-03-14 11:09 EDT, Thomas Woerner
no flags Details | Diff
Patch for spec file (1.10 KB, patch)
2008-03-14 11:10 EDT, Thomas Woerner
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 516464 None None None Never

  None (edit)
Description Thomas Woerner 2008-02-12 10:42:07 EST
+++ This bug was initially created as a clone of Bug #256901 +++

Description of problem:
There is no working way to disable background for gnome-settings-daemon.
Everythime gnome-settings-daemon is started, the background/root will be drawn.
Setting /desktop/gnome/background/draw_background to false has no effect. If
/desktop/gnome/background/picture_filename is set, this picture will be drawn;
if it is not set, then a gradient or a solid color will be painted in the root
window.
gnome-settings-daemon is needed for gtk applications to use the proper font
rendering even if gnome is not used at all.

Version-Release number of selected component (if applicable):
control-center-2.19.90-4.fc8

How reproducible:
Always

Steps to Reproduce:
1. Start without a desktop or with a window manager only
2. Start gnome-settings-daemon
3. Watch at the root window
  
Actual results:
Background is drawn - always.

Expected results:
No drawing in the root window.

Additional info:
This is also a problem in F-7.

-- Additional comment from rstrode@redhat.com on 2007-08-27 11:58 EST --
seems nothing looks at the key, and the schema for the key is in libgnome which
is sort of funky

-- Additional comment from twoerner@redhat.com on 2007-11-12 07:33 EST --
This is still a problem for F-8.

-- Additional comment from twoerner@redhat.com on 2007-11-12 08:23 EST --
Created an attachment (id=255201)
patch for gnome-settings-daemon to honour
/desktop/gnome/background/draw_background


-- Additional comment from twoerner@redhat.com on 2007-11-12 08:26 EST --
Can you please add this patch for control-center for F7+?

-- Additional comment from twoerner@redhat.com on 2007-11-12 08:34 EST --
Created an attachment (id=255211)
Here is the patch for the spec file


-- Additional comment from rstrode@redhat.com on 2007-11-12 12:03 EST --
feel free to commit it, otherwise, i'll commit it some time this week.

-- Additional comment from updates@fedoraproject.org on 2007-11-14 22:29 EST --
control-center-2.20.1-5.1.fc8 has been pushed to the Fedora 8 testing
repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update control-center'
Comment 1 Thomas Woerner 2008-03-14 11:09:38 EDT
Created attachment 298063 [details]
Honour /desktop/gnome/background/draw_background patch
Comment 2 Thomas Woerner 2008-03-14 11:10:01 EDT
Created attachment 298064 [details]
Patch for spec file
Comment 3 Bastien Nocera 2008-03-14 11:20:39 EDT
That would break use of gnome-settings-daemon in GDM. Also, where's the upstream
bug related?
Comment 4 Thomas Woerner 2008-03-14 12:18:17 EDT
Why would it break that?
Comment 5 Bastien Nocera 2008-03-14 12:30:10 EDT
Causes problems like this:
http://bugzilla.gnome.org/show_bug.cgi?id=518750

Could you file this bug upstream in any cases?
Comment 6 Thomas Woerner 2008-03-26 08:55:11 EDT
If I file the bug upstream, I have to trace the upstream bug and if it gets
fixed there, I have to get back here to file a request to get the fix in. This
is not usable - I am sorry.

Why should any user do this - it is not worth the time.
Comment 7 Bastien Nocera 2008-03-26 20:29:22 EDT
Whatever, just commit it. Thanks.
Comment 8 Bastien Nocera 2008-03-26 20:32:09 EDT
Let me get back to that. You want to set
/apps/gnome_settings_daemon/plugins/background/active to be FALSE in gconf
instead, as mentioned by Jens upstream.

Note You need to log in before you can comment on or make changes to this bug.